import request from '@/utils/request'

//get all announcement list
export function getList(query) {
  return request({
    url: '/announcement/announcementList',
    method: 'get',
    params: query
  })
}

// get current announcement which have been selected
export function getCurrent() {
  return request({
    url: '/announcement/getCurrentAnnouncement',
    method: 'get'
  })
}

// add announcement
export function addAnnouncement(data) {
  return request({
    url: '/announcement/addAnnouncement',
    method: 'post',
    data: data
  })
}

// get announcement by condition
export function getAnnouncement(data) {
  return request({
    url: '/announcement/getAnnouncement',
    method: 'get',
    data: data
  })
}


